Table of Contents

## Name

gluSphere - draw a sphere

## C Specification

void gluSphere( GLUquadric* quad,

        GLdouble radius,
        GLint slices,
        GLint stacks )

eqn not supported

## Parameters

quad
  Specifies the quadrics object (created with gluNewQuadric).
radius
  Specifies the radius of the sphere.
slices
  Specifies the number of subdivisions around the z axis (similar to lines of longitude).
stacks
  Specifies the number of subdivisions along the z axis (similar to lines of latitude).

## Description

gluSphere draws a sphere of the given radius centered around the origin. The sphere is subdivided around the z axis into slices and along the z axis into stacks (similar to lines of longitude and latitude).

If the orientation is set to GLU_OUTSIDE (with gluQuadricOrientation), then any normals generated point away from the center of the sphere. Otherwise, they point toward the center of the sphere.

If texturing is turned on (with gluQuadricTexture), then texture coordinates are generated so that t ranges from 0.0 at $ z ~=~ -^"radius" $ to 1.0 at $ z ~=~ "radius" $ (t increases linearly along longitudinal lines), and s ranges from 0.0 at the +y axis, to 0.25 at the +x axis, to 0.5 at the -y axis, to 0.75 at the -x axis, and back to 1.0 at the +y axis.

## See Also

gluCylinder(3G) , gluDisk(3G) , gluNewQuadric(3G) , gluPartialDisk(3G) , gluQuadricOrientation(3G) , gluQuadricTexture(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also